<refentry id="primary.element">
<?dbhtml filename="primary.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>primary</secondary></indexterm>
<refentrytitle>primary</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>primary</refname>
<refpurpose>&primary.purpose;</refpurpose>
</refnamediv>

&primary.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
In an <sgmltag>IndexTerm</sgmltag>, <sgmltag>Primary</sgmltag> identifies the most
significant word or words in the entry.  All <sgmltag>IndexTerm</sgmltag>s must
have a <sgmltag>Primary</sgmltag>.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.suppress; This element provides data for processing but it
is not rendered in the primary flow of text.
</para>
</refsect2>

<refsect2 role='fu' revision="4.0"><title>&FutureChanges;</title>
<para>
<!--do not index this occurance-->
&fu.interfacedefinition;
</para>
</refsect2>


&primary.parents.gen;
&primary.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>sortas</term>
<listitem>
<para>
<sgmltag class='attribute'>SortAs</sgmltag> specifies the string by which the 
element's content is to be sorted. If unspecified, the proper content
is used.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&primary.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

&primary.example.seealso.gen;
</refsect1>
</refentry>

